/* 采购结果 */
import request from '@/assets/js/utils/request'

// 确定成交人
export function confirmWinner(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/confirmWinner',
    method: 'post',
    data
  })
}

// 查看通知书
export function findnoticeForSee(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/findnoticeForSee',
    method: 'post',
    data
  })
}

// 分项报价查看报价明细
export function getItemsBySuplier(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/getItemsBySuplier',
    method: 'post',
    data
  })
}

// 确定成交人列表
export function getOfferList(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/getOfferList',
    method: 'post',
    data
  })
}

// 查看成交公示
export function getResultBulletin(purchaseId) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/getResultBulletin/' + purchaseId,
    method: 'get'
  })
}

// 入围通知书供应商列表
export function passNoticeSuplierList(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/passNoticeSuplierList',
    method: 'post',
    data
  })
}

// 成交公示保存
export function saveResultBulletin(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/saveResultBulletin',
    method: 'post',
    data
  })
}

// 发送入围通知书
export function sendPassNotice(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/sendPassNotice',
    method: 'post',
    data
  })
}

// 发送结果通知书
export function sendResultNotice(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/sendResultNotice',
    method: 'post',
    data
  })
}

// 发送成交通知书
export function sendWinNotice(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/sendWinNotice',
    method: 'post',
    data
  })
}

// 修改通知书状态
export function updatenoticeStatus(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/updatenoticeStatus',
    method: 'post',
    data
  })
}

// 成交通知书供应商列表
export function winnerNoticeSuplierList(data) {
  return request({
    url: '/bidprocurement/result/purchaseResultController/winnerNoticeSuplierList',
    method: 'post',
    data
  })
}
